### Method

# Gtk.FileFilter.add_pattern

#### Declaration [src]

    void
    gtk_file_filter_add_pattern (
      GtkFileFilter* filter,
      const char* pattern
    )

#### Description [src]

Adds a rule allowing a shell style glob to a filter.

#### Parameters

`pattern` | `const char*`
| a shell style glob
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string